uses
    testlib, sysutils;

var
    n, i: longint;
    pa, ja: string;

begin
    n := inf.readlongint;
    for i := 1 to n - 1 do begin
        ja := ans.readstring;
        pa := ouf.readstring;
        if (pa <> 'CORRECT') and (pa <> 'INCORRECT') then
            quit(_pe, format('Line %d - CORRECT or INCORRECT expected, %s found', [i, pa]));
        if (pa <> ja) then
            quit(_wa, format('Line %d - %s expected, %s found', [i, ja, pa]));
    end;

    quit(_ok, '');
end.